THistogramFeeder< T > Class Template Reference
Uncategorized

A class to normalize and quantizize input data to a given histogram range with its given number of bins. More...

`#include <mia/core/histogram.hh>`

Inheritance diagram for THistogramFeeder< T >:
[legend]

## Public Types

typedef T | value_type
| typedef for generic programming

## Public Member Functions

size_t | index (T x) const
size_t | size () const
| THistogramFeeder (T min, T max, size_t bins)
T | value (size_t k) const

## Detailed Description

template<typename T>
class THistogramFeeder< T >

A class to normalize and quantizize input data to a given histogram range with its given number of bins.

This class is used as a helpe class for simple histograms. The class is responsible for scaling and quantizising the input values to fit the histogram parameters.

Template Parameters

  the | input data type to be fed into the instogram

Definition at line 49 of file histogram.hh.

## Member Typedef Documentation

## value_type

template<typename T>

typedef T THistogramFeeder< T >::value_type

typedef for generic programming

Definition at line 53 of file histogram.hh.

## Constructor & Destructor Documentation

## THistogramFeeder()

template<typename T>

THistogramFeeder< T >::THistogramFeeder | ( | T | min,
|  | T | max,
|  | size_t | bins )

inline

Initialize the histogram feeder for a histogram with values in [min,max] with the given number of bins.

Parameters

  min |
  max |
  bins |

Definition at line 237 of file histogram.hh.

## Member Function Documentation

## index()

template<typename T>

size_t THistogramFeeder< T >::index | ( | T | x | ) | const

inline

Evaluate the target bin of an input value

Parameters

  x | input value

Returns
  the target bin index

Remarks
  the index is the nearest neighbor of the scaled input value

Definition at line 253 of file histogram.hh.

## size()

template<typename T>

size_t THistogramFeeder< T >::size | ( |  | ) | const

inline

Returns
  the number of bins

Definition at line 247 of file histogram.hh.

## value()

template<typename T>

unsigned char THistogramFeeder< T >::value | ( | size_t | k | ) | const

inline

Evaluate the center value of a given bin in terms of the input data range

Parameters

  k | bin index

Returns
  center value of bin

Definition at line 267 of file histogram.hh.

The documentation for this class was generated from the following file:

- histogram.hh